
local Coords = _G.CreateFrame("Frame", "StatBlock_Coords")
Coords.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("Coords")
_G.LibStub("AceTimer-3.0"):Embed(Coords)

local GetPlayerMapPosition = _G.GetPlayerMapPosition
local txt = "%.1f, %.1f"
local player = "player"
local fmt = string.format
local timer = nil

function Coords:Update()
	local x, y = GetPlayerMapPosition(player)

	self.obj.text = fmt(txt, x * 100, y * 100)
end

Coords:SetScript("OnEvent", function()
	if IsInInstance() then
		Coords:CancelTimer(timer, true)
		Coords.obj.text = ""
	else
		Coords:CancelTimer(timer, true)
		timer = Coords:ScheduleRepeatingTimer("Update", 0.5)
	end
end)
Coords:RegisterEvent("PLAYER_ENTERING_WORLD")

